import { UxDynMappingConfig } from '../model/ux-dyn-core.model';
import { ComponentConfigList, ValidationConfigList } from '../model/ux-dyn-config.model';
import * as i0 from "@angular/core";
export declare class DynConfigService {
    mapping: UxDynMappingConfig;
    constructor(mapping: UxDynMappingConfig);
    getComponents(): ComponentConfigList;
    getValidations(): ValidationConfigList;
    getValidationFunc(validationId: string): any;
    getComponent(id: string): import("../model/ux-dyn-core.model").UxDynComponentModel;
    getComponentInputModel(id: string): {
        schema: any;
        entry: string;
    };
    static ɵfac: i0.ɵɵFactoryDef<DynConfigService, never>;
    static ɵprov: i0.ɵɵInjectableDef<DynConfigService>;
}
